# pandas.tseries.offsets.CustomBusinessDay

class `pandas.tseries.offsets.``CustomBusinessDay`(n=1, normalize=False, weekmask='Mon Tue Wed Thu Fri', holidays=None, calendar=None, offset=datetime.timedelta(0))

  DateOffset subclass representing possibly n custom business days, excluding holidays.

  Parameters:

  n : int, default 1

  normalize : bool, default False

  > Normalize start/end dates to midnight before generating date range

  weekmask : str, Default ‘Mon Tue Wed Thu Fri’

  > weekmask of valid business days, passed to `numpy.busdaycalendar`

  holidays : list

  > list/array of dates to exclude from the set of valid business days, passed to `numpy.busdaycalendar`

  calendar : pd.HolidayCalendar or np.busdaycalendar

  offset : timedelta, default timedelta(0)

  Attributes

  `base` | Returns a copy of the calling offset object with n=1 and all other attributes equal.
  `kwds` |
  `name` |
  `nanos` |
  `offset` | Alias for self._offset.
  `rule_code` |

  Methods

  `__call__` |
  `apply`(other) |
  `apply_index`(i) | Vectorized apply of DateOffset to DatetimeIndex, raises NotImplentedError for offsets without a vectorized implementation.
  `copy` |
  `isAnchored`() |
  `onOffset`(dt) |
  `rollback`(dt) | Roll provided date backward to next offset only if not on offset.
  `rollforward`(dt) | Roll provided date forward to next offset only if not on offset.

Scroll To Top